import { myRequest } from '@/util/api.js'

//获取线索  列表  有分页
export function netCluesList(data) {
	return myRequest('leads/getList',data)
}

//获取 线索列表  无分页
export function netGetNopageClueslist(data) {
	return myRequest('leads/getSelectList',data)
}

//添加   线索 、
export function netAddClues(data) {
	return myRequest('leads/addLeads',data)
}

//线索 详情
export function netCluesDetail(data) {
	return myRequest('leads/getDetail',data)
}
//修改 线索
export function netEditClues(data) {
	return myRequest('leads/editLeads',data)
}
//删除  线索
export function netDelClues(data) {
	return myRequest('leads/delLeads',data)
}

//线索   附件
export function netCluesFiles(data){
	return myRequest('leads/getFilesList',data)
}

///////////////////////////////////////////////////////////////////////////////////
/*
线索池
*/
//  线索池列表  有分页
export function netCluesPoolList(data) {
	return myRequest('leadspool/getList',data)
}
//添加   线索池 、
export function netAddCluesPool(data) {
	return myRequest('leadspool/addLeads',data)
}

//线索池 详情
export function netCluesPoolDetail(data) {
	return myRequest('leadspool/getDetail',data)
}
//修改 线索池
export function netEditCluesPool(data) {
	return myRequest('leadspool/editLeads',data)
}
//删除  线索池
export function netDelCluesPool(data) {
	return myRequest('leadspool/delLeads',data)
}

//线索池   附件
export function netCluesPoolFiles(data){
	return myRequest('leadspool/getFilesList',data)
}

//领取 线索池
export function netReceiveCluesPool(data) {
	return myRequest('leadspool/achieve',data)
}

//批量分配  线索
export function netAllDistriCluesPool(data) {
	return myRequest('leadspool/transfer',data)
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////
//通知消息列表
export function netMessageList(data) {
	return myRequest('message/getList',data)
}
//消息 列表
export function netAgentList(data) {
	return myRequest('message/getInfo',data)
}
//公告 列表
export function netNoticeList(data) {
	return myRequest('notice/getList',data)
}
//公告详情
export function netNoticeDetail(data) {
	return myRequest('notice/getDetail',data)
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////


